# Get Customer Report

This endpoint retrieves the details of a specific report, and returns a single `Report` object.

Endpoint: GET /api/v1/reports/{report_id}/
Version: Version: 0d14821f
Security: CodeBearer

## Security:

  - `CodeBearer` (unknown)
    oauth2 scopes: reports.read

## Path parameters:

  - `report_id` (string, required)

## Response 200:

  - `200` (unknown)
    Successful Response

## Response 200 fields (application/json):

  - `id` (string, required)

  - `file_name` (string, required)

  - `mime_type` (string, required)

  - `status` (string, required)
    Enum: "PENDING", "AVAILABLE", "FAILED"

  - `type` (string, required)

  - `metadata` (any, required)

  - `created_at` (string, required)

  - `format` (any)

  - `format.id` (string, required)

  - `format.name` (string, required)

  - `format.description` (string, required)

## Response 404:

  - `404` (unknown)
    Not found

## Response 422:

  - `422` (unknown)
    Validation Error

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

